# 13. Používání relativních čísel řádků

Váš terminál Neovim podporuje čísla linek s následujícím nastavením:
````
set number
````
Až budete v Neoim pokročilejší, budete hledat způsoby, jak se vertikálně pohybovat rychleji. Jedním ze způsobů, jak toho dosáhnout, je explicitně zadat číslo řádku, na který chcete přejít. To je jednodušší s relativními čísly řádků:
````
set number
set relativenumber
````
Jak to funguje? Řádek, na kterém je aktuálně kurzor, bude označen jako „řádek 0“. Zbytek řádků nad a pod bude očíslován ve vztahu k jejich vzdálenosti od řádku 0. Například řádek přímo pod kurzorem bude řádek 1. Stejně tak řádek přímo nad ním. Chcete-li přejít na řádek 1 níže, zadejte číslo ``1 + j``. Chcete-li přejít na řádek 1 výše, zadejte číslo ``1 + k``. 

<div style="text-align: center;">
  Copyright © 2024 - 2025 🚀 ApolloNvim / Lukáš Kaňka
</div>
