# 15. Jak na kopírování a vkládání
### Kopírování jednoho řádku

Přejděte na řádek, který chcete kopírovat.
   
Stiskněte yy (dva krát y). Tím kopírujete celý řádek.

### Kopírování více řádků

Přejděte na první řádek, který chcete kopírovat.

Stiskněte V pro vizuální režim řádků.

Použijte šipky nebo j a k pro výběr řádků.

Stiskněte y pro kopírování vybraných řádků.

# Vkládání textu
### Vložení textu

Přejděte na místo, kam chcete text vložit.
 
Stiskněte p pro vložení textu za kurzor nebo P pro vložení textu před kurzor.

# Další užitečné funkce
### Vymazání textu

Přejděte na řádek, který chcete vymazat.
   
Stiskněte dd pro vymazání celého řádku.

### Vymazání více řádků

Přejděte na první řádek, který chcete vymazat.
   
Stiskněte V pro vizuální režim řádků.
   
Použijte šipky nebo j a k pro výběr řádků.
   
Stiskněte d pro vymazání vybraných řádků.

### Přesunutí textu

Vyberte text, který chcete přesunout (například pomocí V a j/k).
   
Stiskněte d pro vymazání vybraného textu (což ho také kopíruje do schránky).
   
Přejděte na místo, kam chcete text přesunout.
   
Stiskněte p nebo P pro vložení textu.

### Použití systémové schránky

Neovim podporuje integraci se systémovou schránkou, což umožňuje kopírování a vkládání textu mezi Neovimem a jinými aplikacemi.

Kopírování do systémové schránky

Vyberte text, který chcete kopírovat (například pomocí V a j/k).

Stiskněte "+y pro kopírování vybraného textu do systémové schránky.

Vložení z systémové schránky

Přejděte na místo, kam chcete text vložit.

Stiskněte "+p pro vložení textu ze systémové schránky za kurzor nebo "+P pro vložení textu před kurzor.

Mimo Neovim použíjte zkratku **CTRL+V**.

Pokud chcete kopírovat t do Neovim z jiné aplikace použíjte **SHIFT+CTRL+V**.

Tyto příkazy a klávesové zkratky vám umožní efektivně pracovat s textem v Neovimu.

POZNÁMKA: v linuxu pro správnou funkčmost jsem si musel pro kopírování z Neovim nainstalovat balíček **xclib**!


Tyto příkazy a klávesové zkratky vám umožní efektivně pracovat s textem v Neovimu.

<div style="text-align: center;">
  Copyright © 2024 - 2025 🚀 ApolloNvim / Lukáš Kaňka
</div>
