# 🚀 ApolloNvim - Plugins
#### Verze: 25.01
#### [The English version can be found under this link](#english)

##  Pluginy  🚀 ApolloNvim:

### Bezpečnost a soukromí je to nejdůležitější, proto tu je tento seznam. V seznamu najdeš všechny pluginy co jsou použité v této konfiguraci s odkazem na zdroj. Plaginy které nechceš požívat zakomentuj nebo smaž v init.vim. Případě Coc plugin vynech při příkazu CocInstall název-plaginu.

* 👉 [Autoclosetag](https://github.com/m4xshen/autoclose.nvim) nástroj pro uzavírání všech typů závorek a tagů.
* 👉 [Coc](https://github.com/neoclide/coc.nvim) balíčkovací manager pro instalování doplňků do Neovim.
* 👉 [html5.vim](https://github.com/othree/html5.vim) plugin pro HTML syntax highlighting.
* 👉 [NERDTree](https://github.com/valsorym/scrooloose-nerdtree) vytvoří vám stromový postranní panel.
* 👉 [Codeium](https://github.com/Exafunction/codeium.vim) alternativa k GitHub Copilot, který si případně lehce také můžete doinstalovat.(Zakomentován aktivní náhrada TabNine) 
* 👉 [Tabnine](https://github.com/codota/tabnine-nvim) alternativa k GitHub Copilot, který si případně lehce také můžete doinstalovat. 
* 👉 [Startify](https://github.com/mhinz/vim-startify) alternativní uvítací obrazovka s pokaždé jiným IT mottem v **NORMAL módu**. Nemusí fungovat s některými terminály či NERDTree nastaveným spuštěním po startu.
* 👉 [NERD Commenter](https://github.com/preservim/nerdcommenter) plugin pro zakomentování a odkomentování kódu. Zde ho máme nastaven na `Ctrl + k`.
* 👉 [Wakatime](https://wakatime.com/neovim) služba, která je schopna změřit, kolik času jste trávili při kódování na pc a i na kterém projektu. Služba se jednoduše propojí přes API.  WakaTime najdeš [zde](https://wakatime.com/).
* 👉 [Auto-save](https://github.com/Pocco81/auto-save.nvim) plugin pro automatické ukládání, po přechodu z INSERT do NORMAL módu.
* 👉 [Tree-sitter](https://github.com/nvim-treesitter/nvim-treesitter) plugin pro zvýraznění kódu.
* 👉 [Hlchunk](https://github.com/shellRaining/hlchunk.nvim) propojí kód vertikálními lajny.
* 👉 [Vim-Fugitive](https://github.com/tpope/vim-fugitive) plugin pro git.
* 👉 [Colorizer](https://github.com/lilydjwg/colorizer) plugin pro náhled barev dle kódového označení.
* 👉 [Vim - javascript](https://github.com/pangloss/vim-javascript) plugin pro podporu javascript.
* 👉 [Toggletherm](https://github.com/akinsho/toggleterm.nvim) vylepšený terminál.
* 👉 [Vim-Gitgutter](https://github.com/airblade/vim-gitgutter) git nápověda ke změně  v kódu.
* 👉 [Gitsigns](https://github.com/lewis6991/gitsigns.nvim) ukazuje změny v kódu.
* 👉 [Plenary](https://github.com/nvim-lua/plenary.nvim)

### Coc extensions:
* 👉 [Coc](https://github.com/neoclide/coc.nvim) manager pro instalování doplňků do Neovim.
* 👉 [Coc extensions](https://github.com/neoclide/coc.nvim/wiki/Using-coc-extensions) pod tímto odkazem najdeš všechny COC rozšíření do Neovim.
* 👉 coc-tailwindcss
* 👉 coc-json
* 👉 coc-html-css-support
* 👉 coc-html
* 👉 coc-emmet
* 👉 coc-xml
* 👉 coc-tsserver
* 👉 coc-lsp-wl
* 👉 coc-lit-html
* 👉 coc-htmldjango
* 👉 coc-css
* 👉 coc-markdown-preview-enhanced
* 👉 coc-webview
* 👉 coc-phpls
* 👉 coc-prettier
* 👉 coc-eslint
* 👉 coc-highlighting

### Colorschemes v tomto projektu:
* 👉 [Dracula](https://github.com/dracula/vim) téma pro Neovim.
* 👉 [Gruvbox](https://github.com/morhetz/gruvbox) téma pro Neovim.
* 👉 [Catppuccin](https://github.com/catppuccin/nvim) téma pro Neovim.
* 👉 [Nord](https://github.com/arcticicestudio/nord-vim) téma pro Neovim.
* 👉 [Tokyo Night](https://github.com/ghifarit53/tokyonight-vim) téma pro Neovim.
* 👉 [Nightfox](https://github.com/EdenEast/nightfox.nvim) téma pro Neovim.
* 👉 [Sonokai](https://github.com/sainnhe/sonokai) téma pro Neovim.
* 👉 [NeoSolarized](https://github.com/Tsuzat/NeoSolarized.nvim) téma pro Neovim.
* 👉 [Moonfly](https://github.com/bluz71/vim-moonfly-colors) téma pro Neovim.
* 👉 [Onedark](https://github.com/joshdick/onedark.vim) téma pro Neovim.
* 👉 [Edge](https://github.com/sainnhe/edge) téma pro Neovim.
* 👉 [Airline](https://github.com/vim-airline/vim-airline) téma pro Neovim.
* 👉 [GitHub](https://github.com/projekt0n/github-nvim-theme) téma pro Neovim.
* 👉 [Nightfly](https://github.com/bluz71/vim-nightfly-colors) téma pro Neovim.
* 👉 [Miasma](https://github.com/xero/miasma.nvim) téma pro Neovim.
* 👉 [Pink moon](https://github.com/sts10/vim-pink-moon) téma pro Neovim.
* 👉 [Anderson](https://github.com/tlhr/anderson.vim) téma pro Neovim.
* 👉 [Tender](https://github.com/jacoborus/tender.vim) téma pro Neovim.
* 👉 [Night owl](https://github.com/haishanh/night-owl.vim) téma pro Neovim.

----
## Plugins 🚀 ApolloNvim Distro {#english}

## Security and privacy are the most important things, which is why this list is here. In the list you will find all the plugins used in this configuration with a link to the source. Plugins you don't want to use can be commented out or deleted in init.vim. In the case of Coc plugin, omit the plugin-name when you run CocInstall.

👉 [Autoclosetag](https://github.com/m4xshen/autoclose.nvim) tool for closing all types of brackets and tags.

👉 [Coc](https://github.com/neoclide/coc.nvim) package manager for installing add-ons to Neovim.

👉 [NERDTree](https://github.com/valsorym/scrooloose-nerdtree) creates a tree sidebar for you.

👉 [html5.vim](https://github.com/othree/html5.vim) plugin for highlighting HTML syntax.

👉 [Codeium](https://github.com/Exafunction/codeium.vim) Introduction alternative to GitHub Copilot, which you can also easily (Commented active TabNine replacement)

👉 [Tabnine](https://github.com/codota/tabnine-nvim) alternative to GitHub Copilot, which you can also easily install.

👉 [Startify](https://github.com/mhinz/vim-startify) an alternative welcome screen with a different IT theme each time. It doesn't have to work with some terminals or NERDTree set to start after boot.

👉 [NERD Commenter](https://github.com/preservim/nerdcommenter) Commenter plugin for commenting and uncommenting code. Here we have it set up to Ctrl + k.

👉 [Wakatime](https://wakatime.com/neovim) a service that is able to measure how much time you spent coding on the computer and on which project. The service simply connects via API. You can find WakaTime [here](https://wakatime.com/){target="_blank"}.

👉 [Auto-save](https://github.com/Pocco81/auto-save.nvim) plugin to automatically save your files.

👉 [Tree-sitter](https://github.com/nvim-treesitter/nvim-treesitter) plugin for code highlighting.

👉 [Hlchunk](https://github.com/shellRaining/hlchunk.nvim) connects the code with vertical lines.

👉 [Vim-Fugitive](https://github.com/tpope/vim-fugitive)  plugin for git.

👉 [Colorizer](https://github.com/lilydjwg/colorizer) plugin for color preview by code designation.

👉 [Vim - javascript](https://github.com/pangloss/vim-javascript) javascript plugin for javascript support.

👉 [Toggletherm](https://github.com/akinsho/toggleterm.nvim)  Improved terminal.

👉 [Vim-Gitgutter](https://github.com/airblade/vim-gitgutter) git help for a change in the code.

👉 [Gitsigns](https://github.com/lewis6991/gitsigns.nvim)  shows changes in the code.

👉 [Plenary](https://github.com/nvim-lua/plenary.nvim)

### Coc extensions

👉 [Coc](https://github.com/neoclide/coc.nvim) manager for installing add-ons to Neovim.

👉 [Coc extensions](https://github.com/neoclide/coc.nvim/wiki/Using-coc-extensions) extensions under this link you can find all COC extensions for Neovim.

👉 coc-tailwindcss

👉 coc-json

👉 coc-html-css-support

👉 coc-html

👉 coc-emmet

👉 coc-xml

👉 coc-tsserver

👉 coc-lsp-wl

👉 coc-lit-html

👉 coc-htmldjango

👉 coc-css

👉 coc-markdown-preview-enhanced

👉 coc-webview

👉 coc-phpls

👉 coc-prettier

👉 coc-eslint

👉 coc-highlighting

### Colorschemes

👉 [Dracula](https://github.com/dracula/vim) color theme for Neovim.

👉 [Gruvbox](https://github.com/morhetz/gruvbox) color theme for Neovim.

👉 [Catppuccin](https://github.com/catppuccin/nvim) color theme for Neovim.

👉 [Nord](https://github.com/arcticicestudio/nord-vim) color theme for Neovim.

👉 [Tokyo Night](https://github.com/ghifarit53/tokyonight-vim) color theme for Neovim.

👉 [Nightfox](https://github.com/EdenEast/nightfox.nvim)  color theme for Neovim.

👉 [Sonokai](https://github.com/sainnhe/sonokai)  color theme for Neovim.

👉 [NeoSolarized](https://github.com/Tsuzat/NeoSolarized.nvim) color theme for Neovim.

👉 [Moonfly](https://github.com/bluz71/vim-moonfly-colors) color theme for Neovim.

👉 [Onedark](https://github.com/joshdick/onedark.vim) color theme for Neovim.

👉 [Edge](https://github.com/sainnhe/edge) color theme for Neovim.

👉 [Airline](https://github.com/vim-airline/vim-airline) color theme for Neovim.

👉 [GitHub](https://github.com/projekt0n/github-nvim-theme) color theme for Neovim.

👉 [Nightfly](https://github.com/bluz71/vim-nightfly-colors) color theme for Neovim.

👉 [Miasma](https://github.com/xero/miasma.nvim) color theme for Neovim.

👉 [Pink moon](https://github.com/sts10/vim-pink-moon) color theme for Neovim.

👉 [Anderson](https://github.com/tlhr/anderson.vim) color theme for Neovim.

👉 [Tender](https://github.com/jacoborus/tender.vim) color theme for Neovim.

👉 [Night owl](https://github.com/haishanh/night-owl.vim) color theme for Neovim.

<div style="text-align: center;">
  Copyright © 2024 - 2025 🚀 ApolloNvim / Lukáš Kaňka
</div>
