# 03. Jak nainstalovat Codeium do Neovim

[Codeium](https: //codeium.com)je alternativou k [GitHub Copilot](https://github.com/features/copilothttps://github.com/features/copilot) s tím, že pro jednotlivce je zdarma. Codeium hodnotím velmi pozitivně a Copilotu se vyrovná.

Instalace pomocí plug.vim je jednoduchá, stačí pouze upravit svůj `init.vim`.
Vložíme do něj:

```

" Free AI codium
Plug 'Exafunction/codeium.vim', { 'branch': 'main' }
```
Výsledný init.vim bude vypadat takto:
```
call plug#begin(has('nvim') ? stdpath('data') . '/plugged' : '~/.vim/plugged')
" Free AI codium
Plug 'Exafunction/codeium.vim', { 'branch': 'main' }
call plug#end()
```


A restartujeme Neovim. Příkazem `Ctrl + :` do príkazového řádku napíšete `q` a restartujeme Neovim.

Po restartu provedeme `PlugInstall` a ještě jednou restartujeme Neovim.

Poslední krok bude konfigurace Codeium, příkazem `CodeiumEnable` do command line.


Codium vás vyzve k propojení API se serverem Codium.

A vše by Vám mělo fungovat.

<div style="text-align: center;">
  Copyright © 2024 - 2025 🚀 ApolloNvim / Lukáš Kaňka
</div>
