# 07. Kopírování a Vkládání do a z  Neovim z externích zdrojů
V Neovim (a také v klasickém Vim) můžete kopírovat text z externích zdrojů do Neovim, například z webové stránky a naopak z Neovim ven.

### **Přímé kopírování z externí aplikace do Neovim:**

1. **Zkopírujte text:**
    
    - Otevřete webový prohlížeč a vyberte text, který chcete zkopírovat.
    - Stiskněte `Ctrl+C` (nebo `Cmd+C` na macOS) pro kopírování.
2. **Přepnutí do režimu vkládání v Neovimu (režim insert ):**
    
    - Otevřete neovim a načtěte soubor.
    - Přepněte se do režimu vkládání stisknutím klávesy `i`.
3. **Vložte text:**
    
    - Stiskněte `Ctrl+Shift+V` (nebo `Cmd+Shift+V` na macOS) pro vložení textu do Neovimu.

### **Kopírování z Neovim do Neovim či mimo Neovim do jiné aplikace:**

1. **Označíme text v Neovim:**
   
    - to můžeme udělat buď pomocí v režimu Normal: SHIFT + V --> označíme celý řádek
    - nebo v režimu Normal pomocí: v + šipka v pravo, vlevo, nahoru a dolů --> označíme vybraný text

2. **Kopírovat označený text:**
  
    - to uděláme v Normal modu klávesou: y
    - text pak kamkoliv vložíme pomocí: `CTRL+Shift+V` nebo v Neovim v Normal módu pompoví `p`.

3.  **Vyjmout označený text:**

    - vyjmout označený text můžeme v Normal modu pomocí: x

** POZNÁMKA:** v linuxu pro správnou funkčmost jsem si musel pro kopírování z Neovim nainstalovat balíček **xclib**!

<div style="text-align: center;">
  Copyright © 2024 - 2025 🚀 ApolloNvim / Lukáš Kaňka
</div>
