# 16. Jak nainstalovat nejnovější verzi Neovim do linuxu
N každá Linuxová distribuce nabízí nejnovější verzi Neovim, kterou vyžadují některé rozšíření Neovim. Velmi jednoduše nainstalujeme nejnovější verzi Neovim kompilací z zdrojového kódu.

Mi si instalaci předvedeme na distribuci založené na RHEL. Na ostatních distribucích se bude pouze lišit krok 1, dle toho jestli používáte apt, yay a atd.

### Kompilace ze zdrojového kódu


1. Instalace potřebných nástrojů a knihoven:

````
sudo dnf groupinstall "Development Tools"
sudo dnf install cmake gcc gcc-c++ make ninja-build unzip
````

2. Stažení zdrojového kódu Neovim:

````
git clone https://github.com/neovim/neovim.git
cd neovim
````

3. Kompilace Neovim:

````
make CMAKE_BUILD_TYPE=Release
````

4. Instalace Neovim:

````
sudo make install
````

<div style="text-align: center;">
  Copyright © 2024 - 2025 🚀 ApolloNvim / Lukáš Kaňka
</div>
